Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
kyotocabinet::ScopedSpinRWLock Class Reference

Scoped reader-writer locking device. More...

`#include <kcthread.h>`

List of all members.

## Public Member Functions

| ScopedSpinRWLock (SpinRWLock *srwlock, bool writer)
| Constructor.
| ~ScopedSpinRWLock ()
| Destructor.

## Detailed Description

Scoped reader-writer locking device.

## Constructor & Destructor Documentation

kyotocabinet::ScopedSpinRWLock::ScopedSpinRWLock | ( | SpinRWLock * | srwlock,
|  | bool | writer
| ) |  | `[explicit]`

Constructor.

Parameters:

  srwlock | a spin rwlock to lock the block.
  writer | true for writer lock, or false for reader lock.

kyotocabinet::ScopedSpinRWLock::~ScopedSpinRWLock | ( |  | ) |

Destructor.